diff --git a/Build/Scripts/runTests.sh b/Build/Scripts/runTests.sh
index a4e9cbfc052f6b428d440ff6f256ab856f75e9bc..9477c6ecd8102ea8a1865f49b9242a49d7f94a45 100755
--- a/Build/Scripts/runTests.sh
+++ b/Build/Scripts/runTests.sh
@@ -191,7 +191,7 @@ Options:
             - mysql: use MySQL server
             - postgres: use postgres
 
-    -i <10.3|10.4|10.5|10.6|10.7>
+    -i <10.3|10.4|10.5|10.6|10.7|10.8|10.9|10.10>
         Only with -d mariadb
         Specifies on which version of mariadb tests are performed
             - 10.3 (default)
@@ -199,13 +199,16 @@ Options:
             - 10.5
             - 10.6
             - 10.7
+            - 10.8
+            - 10.9
+            - 10.10
 
     -j <8.0>
         Only with -d mysql
         Specifies on which version of mysql tests are performed
             - 8.0 (default)
 
-    -k <10|11|12|13|14>
+    -k <10|11|12|13|14|15>
         Only with -d postgres
         Specifies on which version of postgres tests are performed
             - 10 (default)
@@ -213,6 +216,7 @@ Options:
             - 12
             - 13
             - 14
+            - 15
 
     -c <chunk/numberOfChunks>
         Only with -s functional|acceptance
@@ -382,7 +386,7 @@ while getopts ":a:s:c:d:i:j:k:p:e:xy:o:nhuv" OPT; do
             ;;
         i)
             MARIADB_VERSION=${OPTARG}
-            if ! [[ ${MARIADB_VERSION} =~ ^(10.3|10.4|10.5|10.6|10.7)$ ]]; then
+            if ! [[ ${MARIADB_VERSION} =~ ^(10.3|10.4|10.5|10.6|10.7|10.8|10.9|10.10)$ ]]; then
                 INVALID_OPTIONS+=("${OPTARG}")
             fi
             ;;
@@ -394,7 +398,7 @@ while getopts ":a:s:c:d:i:j:k:p:e:xy:o:nhuv" OPT; do
             ;;
         k)
             POSTGRES_VERSION=${OPTARG}
-            if ! [[ ${POSTGRES_VERSION} =~ ^(10|11|12|13|14)$ ]]; then
+            if ! [[ ${POSTGRES_VERSION} =~ ^(10|11|12|13|14|15)$ ]]; then
                 INVALID_OPTIONS+=("${OPTARG}")
             fi
             ;;
diff --git a/Build/gitlab-ci/nightly/acceptance-application.yml b/Build/gitlab-ci/nightly/acceptance-application.yml
index 74eee827604b30658ce02375a172886f32bc0abf..b38eff06bdec15c533355698c186c7cb4b49c5f3 100644
--- a/Build/gitlab-ci/nightly/acceptance-application.yml
+++ b/Build/gitlab-ci/nightly/acceptance-application.yml
@@ -1,4 +1,4 @@
-acceptance application mariadb php 8.1 locked:
+acceptance application mariadb 10.3 php 8.1 locked:
   stage: acceptance
   needs: []
   only:
@@ -15,7 +15,7 @@ acceptance application mariadb php 8.1 locked:
   script:
     - Build/Scripts/runTests.sh -s composerInstall -p 8.1
     - Build/Scripts/runTests.sh -s acceptance -d mariadb -i 10.3 -p 8.1 -c $CI_NODE_INDEX/$CI_NODE_TOTAL
-acceptance application mariadb php 8.1 max:
+acceptance application mariadb 10.3 php 8.1 max:
   stage: acceptance
   needs: []
   only:
@@ -36,7 +36,7 @@ acceptance application mariadb php 8.1 max:
   script:
     - Build/Scripts/runTests.sh -s composerInstallMax -p 8.1
     - Build/Scripts/runTests.sh -s acceptance -d mariadb -i 10.3 -p 8.1 -c $CI_NODE_INDEX/$CI_NODE_TOTAL
-acceptance application mariadb php 8.1 min:
+acceptance application mariadb 10.3 php 8.1 min:
   stage: acceptance
   needs: []
   only:
@@ -58,6 +58,66 @@ acceptance application mariadb php 8.1 min:
     - Build/Scripts/runTests.sh -s composerInstallMin -p 8.1
     - Build/Scripts/runTests.sh -s acceptance -d mariadb -i 10.3 -p 8.1 -c $CI_NODE_INDEX/$CI_NODE_TOTAL
 
+acceptance application mariadb 10.10 php 8.2 locked:
+  stage: acceptance
+  needs: []
+  only:
+    - schedules
+  artifacts:
+    when: on_failure
+    paths:
+      - typo3temp/var/tests/acceptance/typo3temp/var/log
+      - typo3temp/var/tests/AcceptanceReports
+    reports:
+      junit:
+        - typo3temp/var/tests/AcceptanceReports/reports.xml
+  parallel: 8
+  script:
+    - Build/Scripts/runTests.sh -s composerInstall -p 8.2
+    - Build/Scripts/runTests.sh -s acceptance -d mariadb -i 10.10 -p 8.2 -c $CI_NODE_INDEX/$CI_NODE_TOTAL
+acceptance application mariadb 10.10 php 8.2 max:
+  stage: acceptance
+  needs: []
+  only:
+    - schedules
+  cache:
+    key: main-composer-max
+    paths:
+      - .cache
+  artifacts:
+    when: on_failure
+    paths:
+      - typo3temp/var/tests/acceptance/typo3temp/var/log
+      - typo3temp/var/tests/AcceptanceReports
+    reports:
+      junit:
+        - typo3temp/var/tests/AcceptanceReports/reports.xml
+  parallel: 8
+  script:
+    - Build/Scripts/runTests.sh -s composerInstallMax -p 8.2
+    - Build/Scripts/runTests.sh -s acceptance -d mariadb -i 10.10 -p 8.2 -c $CI_NODE_INDEX/$CI_NODE_TOTAL
+acceptance application mariadb 10.10 php 8.2 min:
+  stage: acceptance
+  needs: []
+  only:
+    - schedules
+  cache:
+    key: main-composer-min
+    paths:
+      - .cache
+  artifacts:
+    when: on_failure
+    paths:
+      - typo3temp/var/tests/acceptance/typo3temp/var/log
+      - typo3temp/var/tests/AcceptanceReports
+    reports:
+      junit:
+        - typo3temp/var/tests/AcceptanceReports/reports.xml
+  parallel: 8
+  script:
+    - Build/Scripts/runTests.sh -s composerInstallMin -p 8.2
+    - Build/Scripts/runTests.sh -s acceptance -d mariadb -i 10.10 -p 8.2 -c $CI_NODE_INDEX/$CI_NODE_TOTAL
+
 acceptance application mysql php 8.1 locked:
   stage: acceptance
   needs: []
diff --git a/Build/gitlab-ci/nightly/functional.yml b/Build/gitlab-ci/nightly/functional.yml
index 782aa403b3ecd7c157358262dc6aba059088988a..31b93a51a424fb5104bd169578c3ac04c195d800 100644
--- a/Build/gitlab-ci/nightly/functional.yml
+++ b/Build/gitlab-ci/nightly/functional.yml
@@ -235,6 +235,42 @@ functional mariadb 10.5 php 8.1 min:
     - Build/Scripts/runTests.sh -s composerInstallMin -p 8.1
     - Build/Scripts/runTests.sh -s functional -d mariadb -i 10.5 -p 8.1 -c $CI_NODE_INDEX/$CI_NODE_TOTAL
 
+functional mariadb 10.10 php 8.2 locked:
+  stage: functional
+  needs: []
+  only:
+    - schedules
+  parallel: 6
+  script:
+    - Build/Scripts/runTests.sh -s composerInstall -p 8.2
+    - Build/Scripts/runTests.sh -s functional -d mariadb -i 10.10 -p 8.2 -c $CI_NODE_INDEX/$CI_NODE_TOTAL
+functional mariadb 10.10 php 8.2 max:
+  stage: functional
+  needs: []
+  only:
+    - schedules
+  cache:
+    key: main-composer-max
+    paths:
+      - .cache
+  parallel: 6
+  script:
+    - Build/Scripts/runTests.sh -s composerInstallMax -p 8.2
+    - Build/Scripts/runTests.sh -s functional -d mariadb -i 10.10 -p 8.2 -c $CI_NODE_INDEX/$CI_NODE_TOTAL
+functional mariadb 10.10 php 8.2 min:
+  stage: functional
+  needs: []
+  only:
+    - schedules
+  cache:
+    key: main-composer-min
+    paths:
+      - .cache
+  parallel: 6
+  script:
+    - Build/Scripts/runTests.sh -s composerInstallMin -p 8.2
+    - Build/Scripts/runTests.sh -s functional -d mariadb -i 10.10 -p 8.2 -c $CI_NODE_INDEX/$CI_NODE_TOTAL
+
 functional mysql 8.0 php 8.1 locked:
   stage: functional
   needs: []
diff --git a/Build/gitlab-ci/pre-merge/acceptance-install.yml b/Build/gitlab-ci/pre-merge/acceptance-install.yml
index 80c585e6f402ff691ba6315eddfe75ba62e5cb89..163c224c5863b75ae6cbaefb180bc440ea5a389e 100644
--- a/Build/gitlab-ci/pre-merge/acceptance-install.yml
+++ b/Build/gitlab-ci/pre-merge/acceptance-install.yml
@@ -1,4 +1,4 @@
-acceptance install mariadb php 8.1 pre-merge:
+acceptance install mariadb 10.3 php 8.1 pre-merge:
   stage: main
   except:
     refs:
@@ -15,6 +15,23 @@ acceptance install mariadb php 8.1 pre-merge:
     - Build/Scripts/runTests.sh -s composerInstall -p 8.1
     - Build/Scripts/runTests.sh -s acceptanceInstall -d mariadb -i 10.3 -p 8.1
 
+acceptance install mariadb 10.10 php 8.2 pre-merge:
+  stage: main
+  except:
+    refs:
+      - schedules
+      - main
+  artifacts:
+    when: on_failure
+    paths:
+      - typo3temp/var/tests/AcceptanceReports
+    reports:
+      junit:
+        - typo3temp/var/tests/AcceptanceReports/reports.xml
+  script:
+    - Build/Scripts/runTests.sh -s composerInstall -p 8.2
+    - Build/Scripts/runTests.sh -s acceptanceInstall -d mariadb -i 10.10 -p 8.2
+
 acceptance install mysql php 8.1 pre-merge:
   stage: main
   except: